#
# spec file for package perl-Net-DNS (Version 0.55)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Net-DNS
BuildRequires:  perl-Digest-HMAC perl-Net-IP
Version:        0.55
Release:        12.10.37
Provides:       perl_dns
Obsoletes:      perl_dns
Requires:       perl-Digest-HMAC
Requires:       perl-Net-IP
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License; GPL v2 or later
Url:            http://cpan.org/modules/by-module/Net/
Summary:        Perl interface to the DNS resolver
Source:         Net-DNS-%{version}.tar.bz2
Patch:          %{name}-%{version}-secfix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Net::DNS is a Perl interface to the DNS resolver.  It allows the
programmer to perform any type of DNS query from a Perl script. For
details and examples, please read the Net::DNS manual page.



Authors:
--------
    Michael Fuhr <mfuhr@dimensional.com>

%prep
%setup -n Net-DNS-%{version}
%patch

%build
find demo contrib -type f | xargs -n 1 sed -i "s@/usr/local/bin/@/usr/bin/@"
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README TODO demo contrib
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
/var/adm/perl-modules/%{name}

%changelog
* Thu Jul 19 2007 anicka@suse.cz
- fix security vulnerabilities CVE-2007-3377
  and CVE-2007-3409 [#291468]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 anicka@suse.cz
- update to 0.55
* Mon Aug  1 2005 mjancar@suse.cz
- update tp 0.53
- add perl-Net-IP to Requires
* Thu Aug 19 2004 mjancar@suse.cz
- update to 0.48
* Sun Jun 20 2004 ro@suse.de
- fix find command in specfile
* Sat Feb 28 2004 ro@suse.de
- fix requirement for /usr/local
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.46
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue Jun 17 2003 mjancar@suse.cz
- update to 0.38
- use $RPM_OPT_FLAGS
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Mon Apr 28 2003 mjancar@suse.cz
- update to version 0.34
* Fri Dec 20 2002 prehak@suse.cz
- updated to version 0.31
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 prehak@suse.cz
- update to version 0.24
- added demo and contrib to documentation
- added perl-Test-Simple to neededforbuild
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri May 24 2002 prehak@suse.cz
- added missing required modul perl-Digest-HMAC  [#16224]
* Mon Dec 17 2001 rvasice@suse.cz
- update to version 0.19
* Mon Mar 26 2001 cihlar@suse.cz
- added make test
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_dns -> perl-Net-DNS
* Tue Aug 22 2000 cihlar@suse.cz
- added BuildRoot
- bzipped sources
* Fri Jan 21 2000 ro@suse.de
- fixed filelist
* Tue Nov  9 1999 choeger@suse.de
- bugfix for spec-file
* Mon Nov  8 1999 choeger@suse.de
- first version
